# Uses of Class
org.jfree.chart3d.graphics3d.Point3D

Packages that use Point3D
Package
Description
org.jfree.chart3d.graphics3d
The core 3D graphics rendering engine which is fully implemented using the Java2D (Graphics2D) API.

## Uses of Point3D in org.jfree.chart3d.graphics3d

Fields in org.jfree.chart3d.graphics3d declared as Point3D
Modifier and Type
Field
Description
`static final Point3D`
Point3D.`ORIGIN`
The origin `(0, 0, 0)`.
`static final Point3D`
Point3D.`UNIT_X`
The point `(1, 0, 0)`.
`static final Point3D`
Point3D.`UNIT_Y`
The point `(0, 1, 0)`.
`static final Point3D`
Point3D.`UNIT_Z`
The point `(0, 0, 1)`.
Methods in org.jfree.chart3d.graphics3d that return Point3D
Modifier and Type
Method
Description
`Point3D`
Rotate3D.`applyRotation(double x, double y, double z)`
Creates an returns a new point that is the rotation of the point `(x, y, z)` about the axis that was specified via the constructor.
`Point3D`
Rotate3D.`applyRotation(Point3D p)`
Creates and returns a new point that is the rotation of `p` about the axis that was specified via the constructor.
`Point3D[]`
Object3D.`calculateEyeCoordinates(ViewPoint3D viewPoint)`
Returns the eye coordinates of the object's vertices.
`Point3D[]`
World.`calculateEyeCoordinates(ViewPoint3D vp)`
Returns an array containing the vertices for all objects in this world, transformed to eye coordinates.
`static Point3D`
Point3D.`createPoint3D(double theta, double phi, double rho)`
Creates a new `Point3D` instance from spherical coordinates.
`Point3D`
Line3D.`getEnd()`
Returns the ending point for the line.
`Point3D`
ViewPoint3D.`getHorizontalRotationAxis()`
Returns a vector at right angles to the viewing direction and the "up" vector (this axis can be used to rotate forward and backwards).
`final Point3D`
ViewPoint3D.`getPoint()`
Returns the location of the view point.
`Point3D`
Line3D.`getStart()`
Returns the starting point for the line.
`Point3D`
ViewPoint3D.`getVerticalRotationAxis()`
Returns the vector that points "up" in relation to the orientation of the view point.
`Point3D`
ViewPoint3D.`worldToEye(Point3D p)`
Converts a point in world coordinates to a point in eye coordinates.
Methods in org.jfree.chart3d.graphics3d with parameters of type Point3D
Modifier and Type
Method
Description
`void`
Object3D.`addVertex(Point3D vertex)`
Adds a new object vertex.
`Point3D`
Rotate3D.`applyRotation(Point3D p)`
Creates and returns a new point that is the rotation of `p` about the axis that was specified via the constructor.
`float`
Face.`calculateAverageZValue(Point3D[] points)`
Returns the average z-value.
`double[]`
Face.`calculateNormal(Point3D[] points)`
Calculates the normal vector for this face.
`final void`
World.`setSunSource(Point3D p)`
Sets the light source point.
`Point3D`
ViewPoint3D.`worldToEye(Point3D p)`
Converts a point in world coordinates to a point in eye coordinates.
`Point2D`
ViewPoint3D.`worldToScreen(Point3D p, double d)`
Calculates and returns the screen coordinates for the specified point in (world) 3D space.
Constructors in org.jfree.chart3d.graphics3d with parameters of type Point3D
Modifier
Constructor
Description
``
`Line3D(Point3D start, Point3D end)`
Creates a new line in 3D space.
``
`Rotate3D(Point3D a, Point3D b, double angle)`
Creates a new instance that will rotate points about the axis passing through points a and b, by the specified angle.
``
`ViewPoint3D(Point3D p, double orientation)`
Creates a new instance using the specified point and orientation.